Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jatek0001
Class Jatek0001GameData

    java.lang.Object
      jatek.GameData
          jatek0001.Jatek0001GameData

    public class Jatek0001GameData

extends GameData

Constructor Summary
`Jatek0001GameData()`

Method Summary
`java.lang.String` | `getAuthor()`
`java.lang.Double[]` | `getAvgByRows()`
`java.lang.String` | `getAvgMaxPair()`
`java.lang.Double[][]` | `getBestChoice()`
`java.lang.String` | `getCode()`
`java.lang.String[]` | `getColLabels()`
`java.lang.Double[][]` | `getData()`
`java.lang.String` | `getDate()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getGameInputHtmlContent()`
`java.lang.Double` | `getMax()`
`java.lang.Double[]` | `getMaxByRows()`
`java.lang.Double[]` | `getMaxByRowsR()`
`java.lang.String` | `getMaxMaxPair()`
`java.lang.Double` | `getMaxOfMinByRows()`
`java.lang.String` | `getMaxPair()`
`java.lang.Double` | `getMin()`
`java.lang.Double[]` | `getMinByRows()`
`java.lang.Double` | `getMinOfMaxByRows()`
`java.lang.String` | `getMinPair()`
`java.lang.String` | `getMinPairR()`
`java.lang.String` | `getName()`
`java.lang.Double[][]` | `getRByCols()`
`java.lang.String[]` | `getRowLabels()`
`boolean` | `isToExcel()`
`void` | `setAuthor(java.lang.String author)`
`void` | `setAvgByRows(java.lang.Double[] avgByRows)`
`void` | `setAvgMaxPair(java.lang.String avgMaxPair)`
`void` | `setBestChoice(java.lang.Double[][] bestChoice)`
`void` | `setCode(java.lang.String code)`
`void` | `setColLabels(java.lang.String[] colLabels)`
`void` | `setData(java.lang.Double[][] data)`
`void` | `setDate(java.lang.String date)`
`void` | `setDescription(java.lang.String description)`
`void` | `setGameInputHtmlContent(java.lang.String gameInputHtmlContent)`
`void` | `setMax(java.lang.Double max)`
`void` | `setMaxByRows(java.lang.Double[] maxByRows)`
`void` | `setMaxByRowsR(java.lang.Double[] maxByRowsR)`
`void` | `setMaxMaxPair(java.lang.String maxMaxPair)`
`void` | `setMaxOfMinByRows(java.lang.Double maxOfMinByRows)`
`void` | `setMaxPair(java.lang.String maxPair)`
`void` | `setMin(java.lang.Double min)`
`void` | `setMinByRows(java.lang.Double[] minByRows)`
`void` | `setMinOfMaxByRows(java.lang.Double minOfMaxByRows)`
`void` | `setMinPair(java.lang.String minPair)`
`void` | `setMinPairR(java.lang.String minPairR)`
`void` | `setName(java.lang.String name)`
`void` | `setRByCols(java.lang.Double[][] byCols)`
`void` | `setRowLabels(java.lang.String[] rowLabels)`
`void` | `setToExcel(boolean toExcel)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jatek0001GameData

    public Jatek0001GameData()

Method Detail

### getBestChoice

    public java.lang.Double[][] getBestChoice()

### setBestChoice

    public void setBestChoice(java.lang.Double[][] bestChoice)

### getAvgMaxPair

    public java.lang.String getAvgMaxPair()

### setAvgMaxPair

    public void setAvgMaxPair(java.lang.String avgMaxPair)

### getAvgByRows

    public java.lang.Double[] getAvgByRows()

### setAvgByRows

    public void setAvgByRows(java.lang.Double[] avgByRows)

### getMaxMaxPair

    public java.lang.String getMaxMaxPair()

### setMaxMaxPair

    public void setMaxMaxPair(java.lang.String maxMaxPair)

### getMinPairR

    public java.lang.String getMinPairR()

### setMinPairR

    public void setMinPairR(java.lang.String minPairR)

### getMaxByRowsR

    public java.lang.Double[] getMaxByRowsR()

### setMaxByRowsR

    public void setMaxByRowsR(java.lang.Double[] maxByRowsR)

### getRByCols

    public java.lang.Double[][] getRByCols()

### setRByCols

    public void setRByCols(java.lang.Double[][] byCols)

### getMinPair

    public java.lang.String getMinPair()

### setMinPair

    public void setMinPair(java.lang.String minPair)

### getMinOfMaxByRows

    public java.lang.Double getMinOfMaxByRows()

### setMinOfMaxByRows

    public void setMinOfMaxByRows(java.lang.Double minOfMaxByRows)

### getMaxByRows

    public java.lang.Double[] getMaxByRows()

### setMaxByRows

    public void setMaxByRows(java.lang.Double[] maxByRows)

### getMaxPair

    public java.lang.String getMaxPair()

### setMaxPair

    public void setMaxPair(java.lang.String maxPair)

### getMaxOfMinByRows

    public java.lang.Double getMaxOfMinByRows()

### setMaxOfMinByRows

    public void setMaxOfMinByRows(java.lang.Double maxOfMinByRows)

### getMinByRows

    public java.lang.Double[] getMinByRows()

### setMinByRows

    public void setMinByRows(java.lang.Double[] minByRows)

### getMax

    public java.lang.Double getMax()

### setMax

    public void setMax(java.lang.Double max)

### getMin

    public java.lang.Double getMin()

### setMin

    public void setMin(java.lang.Double min)

### getCode

    public java.lang.String getCode()

### setCode

    public void setCode(java.lang.String code)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getAuthor

    public java.lang.String getAuthor()

### setAuthor

    public void setAuthor(java.lang.String author)

### getDate

    public java.lang.String getDate()

### setDate

    public void setDate(java.lang.String date)

### getColLabels

    public java.lang.String[] getColLabels()

### setColLabels

    public void setColLabels(java.lang.String[] colLabels)

### getRowLabels

    public java.lang.String[] getRowLabels()

### setRowLabels

    public void setRowLabels(java.lang.String[] rowLabels)

### getData

    public java.lang.Double[][] getData()

### setData

    public void setData(java.lang.Double[][] data)

### getGameInputHtmlContent

    public java.lang.String getGameInputHtmlContent()

### setGameInputHtmlContent

    public void setGameInputHtmlContent(java.lang.String gameInputHtmlContent)

### isToExcel

    public boolean isToExcel()

### setToExcel

    public void setToExcel(boolean toExcel)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD